osl::EnterKing Struct Reference

`#include <enterKing.h>`

## Static Public Member Functions

static bool | canDeclareWin (const NumEffectState &state)
template<Player P>
static bool | canDeclareWin (const NumEffectState &state)
static bool | canDeclareWin (const NumEffectState &state, int &drops)
template<Player P>
static bool | canDeclareWin (const NumEffectState &state, int &drops)

## Detailed Description

Definition at line 12 of file enterKing.h.

## Member Function Documentation

## canDeclareWin() [1/4]

template<osl::Player Turn>

bool osl::enter_king::EnterKing::canDeclareWin | ( | const NumEffectState & | state | ) |

static

Definition at line 15 of file enterKing.cc.

## canDeclareWin() [2/4]

template bool osl::enter_king::EnterKing::canDeclareWin< WHITE > | ( | const NumEffectState & | state | ) |

static

Definition at line 5 of file enterKing.cc.

## canDeclareWin() [3/4]

template<osl::Player Turn>

bool osl::enter_king::EnterKing::canDeclareWin | ( | const NumEffectState & | state,
|  | int & | drops )

static

Definition at line 79 of file enterKing.cc.

## canDeclareWin() [4/4]

template bool osl::enter_king::EnterKing::canDeclareWin< WHITE > | ( | const NumEffectState & | state,
|  | int & | drops )

static

Definition at line 69 of file enterKing.cc.

The documentation for this struct was generated from the following files:

- enterKing.h
- enterKing.cc